Bug 54261 - OSTYPE hiding made useless by VERSION extension
Summary: OSTYPE hiding made useless by VERSION extension
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: pidentd   
(Show other bugs)
Version: roswell
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-02 16:07 UTC by Eido Inoue
Modified: 2007-03-27 03:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-04 16:34:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eido Inoue 2001-10-02 16:07:03 UTC
the configuration for pidentd is set so as to not list the OSTYPE in the
reply (always replies "OTHER"). However, the extension commands are
enabled, and the version command will happily report both the pident
version AND the linux kernel version.

[root@gaijin /root]# telnet localhost 113
Trying 127.0.0.1...
Connected to localhost.localdomain (127.0.0.1).
Escape character is '^]'.
113, 37598
113 , 37598 : USERID : OTHER :ident
VERSION
0 , 0 : X-VERSION : pidentd 3.0.12 for Linux 2.2.17-8smp (Mar  5 2001 00:27:55)
quit
Connection closed by foreign host.

Comment 1 Trond Eivind Glomsrxd 2001-10-04 16:34:54 UTC
It reports the kernel on which it was compiled, not the one it runs on. Still
needs fixing, though...

Comment 2 Trond Eivind Glomsrxd 2001-10-04 19:13:36 UTC
Turned off extensions, in 3.0.14-2.


Note You need to log in before you can comment on or make changes to this bug.